#### Description:

This function draws a complete annotated set of coordinate axes for a Plot with (optionally) a coordinate grid superimposed. Details of the axes and grid can be controlled by setting values for the various attributes defined by the Plot class (q.v.).

#### Synopsis

void astGrid( AstPlot ∗this )

#### Parameters:

##### this

Pointer to the Plot.

#### Notes:

- If the supplied Plot is a Plot3D, the axes will be annotated using three 2-dimensional Plots, one for each 2D plane in the 3D current coordinate system. The plots will be `"` pasted`"` onto 3 faces of the cuboid graphics volume specified when the Plot3D was constructed. The faces to be used can be controlled by the `"` RootCorner`"` attribute.

- An error results if either the current Frame or the base Frame of the Plot is not 2-dimensional or (for a Plot3D) 3-dimensional.

- An error also results if the transformation between the base and current Frames of the Plot is not defined in either direction (i.e. the Plot`’` s TranForward or TranInverse attribute is zero).

Copyright (C) 2021 East Asian Observatory